# Generated by Django 3.2.4 on 2021-06-19 22:12

from django.db import migrations, models
from django.db.models import Count, OuterRef, Subquery


def count_history_fields(apps, schema_editor):
    History, HistoryField = (apps.get_model("common", "History"), apps.get_model("common", "HistoryField"))
    subquery = (
        HistoryField.objects.values("history")
        .filter(history=OuterRef("id"))
        .annotate(count=Count("id"))
        .values("count")
    )
    History.objects.filter(status__in=("U", "R", "M")).update(fields_count=Subquery(subquery))


class Migration(migrations.Migration):

    dependencies = [
        ("common", "0012_auto_20210420"),
    ]

    operations = [
        migrations.AddField(
            model_name="history",
            name="fields_count",
            field=models.PositiveSmallIntegerField(blank=True, null=True, editable=False, verbose_name="modifications"),
        ),
        migrations.AlterField(
            model_name="history",
            name="creation_date",
            field=models.DateTimeField(auto_now_add=True, verbose_name="date"),
        ),
        migrations.AlterField(
            model_name="historyfield",
            name="creation_date",
            field=models.DateTimeField(auto_now_add=True, verbose_name="date"),
        ),
        migrations.RunPython(count_history_fields, reverse_code=migrations.RunPython.noop),
    ]
